Skip to main content
POST
/
api
/
printers
Create a printer
curl --request POST \
  --url https://clarus-api.com/api/printers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "printers",
    "attributes": {
      "name": "Zebra ZD420 - Packing",
      "supports_labels": true,
      "supports_documents": false,
      "is_default": true
    }
  }
}
'
{
  "data": {
    "id": "3",
    "type": "printers",
    "attributes": {
      "name": "Zebra ZD420 - Packing",
      "supports_labels": true,
      "supports_documents": false,
      "is_default": true
    }
  }
}

Request Structure

{
  "data": {
    "type": "printers",
    "attributes": {
      "name": "Zebra ZD420 - Packing",
      "supports_labels": true,
      "supports_documents": false,
      "is_default": true
    }
  }
}

Key Fields

FieldRequiredDescription
nameYesPrinter name
descriptionNoPrinter description
supports_documentsNoCan print documents
supports_labelsNoCan print labels
is_defaultNoDefault printer flag

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Printer created successfully

data
object